package com.gyee.wisdom.dao.hepler;

import java.util.List;
import java.util.Map;


public interface IGenericDao<T> {

	Integer saveBackId(T bean);

	void save(T bean);

	void update(T bean);

	void update(T bean, String... wheres);

	void delete(T bean);

	void delete(T bean, String... wheres);

	void delete(Object[] ids);

	void delete(Object[] ids, Object... wheres);

	T getById(Object id);

	T getByParams(String field, Object parmas);

	T getByParams(String[] fields, Object... parmas);

	List<Map<String, Object>> queryAll();

	List<T> queryAllList();

	List<Map<String, Object>> queryList(Map<String, Object> params);

	List<Map<String, Object>> queryList(String field, Object parmas);

	List<Map<String, Object>> queryList(String[] fields, Object... parmas);

	PageVo queryPage(int page, int rows, Map<String, Object> params);

	PageVo queryPage(Class<T> clazz, int page, int rows, Map<String, Object> params);

}